Name:           libccss
Version:        0.3.1
Release:        3%{?dist}
Summary:        A simple api for CSS Stylesheets

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://people.freedesktop.org/~robsta/libccss/
Source0:        http://people.freedesktop.org/~robsta/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cairo-devel
BuildRequires: glib2-devel
BuildRequires: libcroco-devel
BuildRequires: librsvg2-devel
BuildRequires: libsoup-devel
BuildRequires: pkgconfig

%description
Libccss offers a simple API to

    * Parse CSS stylesheets.
    * Query for style configurations on a user-provided document
      representation.
    * Draw query results onto cairo surfaces.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc

%description devel
Files for development with %{name}.

%prep
%setup -q

%build
%configure --disable-examples
# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS TODO
%{_libdir}/libccss-1.so.3.0.1
%{_libdir}/libccss-gtk-1.so.3.0.1
%{_libdir}/libccss-cairo-1.so.3.0.1
%{_libdir}/libccss-1.so.3
%{_libdir}/libccss-cairo-1.so.3
%{_libdir}/libccss-gtk-1.so.3
%{_bindir}/ccss-stylesheet-to-gtkrc

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/libccss-1/
%{_includedir}/libccss-1/ccss
%{_includedir}/libccss-1/ccss-gtk
%{_includedir}/libccss-1/ccss-cairo
%{_libdir}/pkgconfig/libccss-1.pc
%{_libdir}/pkgconfig/libccss-cairo-1.pc
%{_libdir}/pkgconfig/libccss-gtk-1.pc
%{_libdir}/libccss-1.so
%{_libdir}/libccss-cairo-1.so
%{_libdir}/libccss-gtk-1.so
%{_datadir}/gtk-doc/html/ccss
%{_datadir}/gtk-doc/html/ccss-cairo

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.1-2
- Add new files to specs

* Thu Jul  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.1-1
- New release - 0.3.1

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.3.0-1
- Initial packaging
